Ana içeriğe geç

List Endpoints

Endpoint

GET /apiops/projects/{projectName}/apiProxies/{apiProxyName}/endpoints/

Authentication

Requires a Personal API Access Token.

Authorization: Bearer YOUR_TOKEN

Request

Headers

HeaderValueRequired
AuthorizationBearer {token}Yes

Path Parameters

ParameterTypeRequiredDescription
projectNamestringYesProject name
apiProxyNamestringYesAPI Proxy name

Query Parameters

None

Response

Success Response (200 OK)

{
"success": true,
"resultList": [
{
"id": "endpoint-id-1",
"endpoint": "/api/users",
"description": "Get all users",
"active": true,
"httpMethod": "GET",
"backendResourceUrl": "/users",
"backendHttpMethod": "GET"
},
{
"id": "endpoint-id-2",
"endpoint": "/api/users",
"description": "Create user",
"active": true,
"httpMethod": "POST",
"backendResourceUrl": "/users",
"backendHttpMethod": "POST"
}
],
"resultCount": 2
}

Response Fields

FieldTypeDescription
successbooleanIndicates if the request was successful
resultListarrayList of endpoint objects
resultCountintegerTotal number of endpoints

Endpoint Object Fields

FieldTypeDescription
idstringEndpoint unique identifier
endpointstringEndpoint path/name
descriptionstringEndpoint description
activebooleanWhether endpoint is active/enabled
httpMethodstringHTTP method for the endpoint
backendResourceUrlstringBackend resource URL
backendHttpMethodstringHTTP method for backend call

EnumHttpRequestMethod

  • GET - GET method
  • POST - POST method
  • PUT - PUT method
  • DELETE - DELETE method
  • PATCH - PATCH method
  • OPTIONS - OPTIONS method
  • HEAD - HEAD method
  • TRACE - TRACE method
  • ALL - All methods

Note: Policy lists (requestPolicyList, responsePolicyList, errorPolicyList) are not included in list operations. Use Get Endpoint or List Endpoint Policies to retrieve policy details.

Error Response (401 Unauthorized)

{
"error": "unauthorized_client",
"error_description": "Invalid token"
}

Error Response (404 Not Found)

{
"error": "not_found",
"error_description": "ApiProxy (name: MyAPI) was not found!"
}

cURL Example

curl -X GET \
"https://demo.apinizer.com/apiops/projects/MyProject/apiProxies/MyAPI/endpoints/" \
-H "Authorization: Bearer YOUR_TOKEN"

Full JSON Body Example

This endpoint does not require a request body.

Permissions

User must have any permission in the project (read access).

Notes and Warnings

  • API Proxy Type: Works for both REST and SOAP API proxies
  • Policy Details: Policy lists are not included. Use Get Endpoint or List Endpoint Policies to retrieve policies
  • Empty List: If no endpoints exist, an empty resultList is returned